Bug 250124 - Sound Blaster PCI 512
Sound Blaster PCI 512
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 11:35 EDT by Dan Trainor
Modified: 2008-02-15 21:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Trainor 2007-07-30 11:35:50 EDT
Description of problem:

It appears that a Creative Labs Sound Blaster PCI512 may no longer be supported
under F7.  It was, however, supported under FC6 but no longer appears as part of
dmesg or lspci.  All attempts to initialize the card have failed.  The card has
been swapped between two PCI slots even, in the effort to mitigate a possible
hardware problem.

Version-Release number of selected component (if applicable):

Supposing the snd-emu10k1 driver is still used under F7 for this device, as it
was under FC6, the following information may apply:

[root@dandesktop 2.6.21-1.3228.fc7]# modinfo
kernel/sound/pci/emu10k1/snd-emu10k1.ko 
filename:       kernel/sound/pci/emu10k1/snd-emu10k1.ko
license:        GPL
description:    EMU10K1
author:         Jaroslav Kysela <perex@suse.cz>
srcversion:     0B686C8275C1E4EAF860EFF
alias:          pci:v00001102d00000008sv*sd*bc*sc*i*
alias:          pci:v00001102d00000004sv*sd*bc*sc*i*
alias:          pci:v00001102d00000002sv*sd*bc*sc*i*
depends:       
snd-pcm,snd-util-mem,snd-page-alloc,snd,snd-rawmidi,snd-timer,snd-hwdep,snd-ac97-codec,snd-seq-device
vermagic:       2.6.21-1.3228.fc7 SMP mod_unload 686 4KSTACKS 
parm:           index:Index value for the EMU10K1 soundcard. (array of int)
parm:           id:ID string for the EMU10K1 soundcard. (array of charp)
parm:           enable:Enable the EMU10K1 soundcard. (array of bool)
parm:           extin:Available external inputs for FX8010. Zero=default. (array
of int)
parm:           extout:Available external outputs for FX8010. Zero=default.
(array of int)
parm:           seq_ports:Allocated sequencer ports for internal synthesizer.
(array of int)
parm:           max_synth_voices:Maximum number of voices for WaveTable. (array
of int)
parm:           max_buffer_size:Maximum sample buffer size in MB. (array of int)
parm:           enable_ir:Enable IR. (array of bool)
parm:           subsystem:Force card subsystem model. (array of uint)

How reproducible:

Always

Steps to Reproduce:
1.  View result via lspci, dmesg
  
Actual results:

Failure to see card

Expected results:

Initialized, and eventually fully functional, sound support.


Additional info:
Comment 1 Christopher Brown 2007-09-21 09:24:14 EDT
Hello Dan,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Dan Trainor 2007-09-21 09:32:01 EDT
Good morning, Christopher -

I actually no longer work in the office where this machine is housed, however, I
do have remote access to it.

I have not made any progress on this bug - I simply let it go shortly after
submitting the bug.

If you have some things that you wish for me to try, I would be happy to do so.

I'll update the machine with the latest kernel and post my findings shortly
thereafter.

Thanks
-dant
Comment 3 Christopher Brown 2007-09-21 17:15:00 EDT
(In reply to comment #2)

> If you have some things that you wish for me to try, I would be happy to do so.

If you can attach the output from:

# lspci -vvxxx
# dmesg
# lsmod

that would be helpful. I'll then be able to re-assign to the relevant maintainer
at least. I'd also be interested to know whether any channels are available
running alsamixer and if muting/unmuting makes any difference.

Cheers
Chris
Comment 4 Christopher Brown 2008-01-10 13:58:55 EST
Dan,

Were you able to access the machine and test with the latest kernel?
Comment 5 Christopher Brown 2008-02-15 21:30:41 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.